Upstream information

CVE-2017-6410 at MITRE

Description

kpac/script.cpp in KDE kio before 5.32 and kdelibs before 4.14.30 calls the PAC FindProxyForURL function with a full https URL (potentially including Basic Authentication credentials, a query string, or PATH_INFO), which allows remote attackers to obtain sensitive information via a crafted PAC file.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.30 4.96
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network Network
Access Complexity Medium Low
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact None None
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.5
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact None
SUSE Bugzilla entries: 1027309 [RESOLVED / DUPLICATE], 1027520 [RESOLVED / ]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE Leap 42.1
  • kdelibs4 >= 4.14.18-15.2
  • kdelibs4-apidocs >= 4.14.18-15.2
  • kdelibs4-branding-upstream >= 4.14.18-15.2
  • kdelibs4-core >= 4.14.18-15.2
  • kdelibs4-core-debuginfo >= 4.14.18-15.2
  • kdelibs4-debuginfo >= 4.14.18-15.2
  • kdelibs4-debugsource >= 4.14.18-15.2
  • kdelibs4-doc >= 4.14.18-15.2
  • kdelibs4-doc-debuginfo >= 4.14.18-15.2
  • kio >= 5.21.0-23.2
  • kio-32bit >= 5.21.0-23.2
  • kio-core >= 5.21.0-23.2
  • kio-core-32bit >= 5.21.0-23.2
  • kio-core-debuginfo >= 5.21.0-23.2
  • kio-core-debuginfo-32bit >= 5.21.0-23.2
  • kio-debuginfo >= 5.21.0-23.2
  • kio-debuginfo-32bit >= 5.21.0-23.2
  • kio-debugsource >= 5.21.0-23.2
  • kio-devel >= 5.21.0-23.2
  • kio-devel-32bit >= 5.21.0-23.2
  • kio-devel-debuginfo >= 5.21.0-23.2
  • kio-devel-debuginfo-32bit >= 5.21.0-23.2
  • kio-lang >= 5.21.0-23.2
  • libkde4 >= 4.14.18-15.2
  • libkde4-32bit >= 4.14.18-15.2
  • libkde4-debuginfo >= 4.14.18-15.2
  • libkde4-debuginfo-32bit >= 4.14.18-15.2
  • libkde4-devel >= 4.14.18-15.2
  • libkdecore4 >= 4.14.18-15.2
  • libkdecore4-32bit >= 4.14.18-15.2
  • libkdecore4-debuginfo >= 4.14.18-15.2
  • libkdecore4-debuginfo-32bit >= 4.14.18-15.2
  • libkdecore4-devel >= 4.14.18-15.2
  • libkdecore4-devel-debuginfo >= 4.14.18-15.2
  • libksuseinstall-devel >= 4.14.18-15.2
  • libksuseinstall1 >= 4.14.18-15.2
  • libksuseinstall1-32bit >= 4.14.18-15.2
  • libksuseinstall1-debuginfo >= 4.14.18-15.2
  • libksuseinstall1-debuginfo-32bit >= 4.14.18-15.2
Patchnames:
openSUSE-2017-334
openSUSE Leap 42.2
  • kdelibs4 >= 4.14.25-5.2
  • kdelibs4-apidocs >= 4.14.25-5.2
  • kdelibs4-branding-upstream >= 4.14.25-5.2
  • kdelibs4-core >= 4.14.25-5.2
  • kdelibs4-core-debuginfo >= 4.14.25-5.2
  • kdelibs4-debuginfo >= 4.14.25-5.2
  • kdelibs4-debugsource >= 4.14.25-5.2
  • kdelibs4-doc >= 4.14.25-5.2
  • kdelibs4-doc-debuginfo >= 4.14.25-5.2
  • kio >= 5.26.0-6.2
  • kio-32bit >= 5.26.0-6.2
  • kio-core >= 5.26.0-6.2
  • kio-core-32bit >= 5.26.0-6.2
  • kio-core-debuginfo >= 5.26.0-6.2
  • kio-core-debuginfo-32bit >= 5.26.0-6.2
  • kio-debuginfo >= 5.26.0-6.2
  • kio-debuginfo-32bit >= 5.26.0-6.2
  • kio-debugsource >= 5.26.0-6.2
  • kio-devel >= 5.26.0-6.2
  • kio-devel-32bit >= 5.26.0-6.2
  • kio-devel-debuginfo >= 5.26.0-6.2
  • kio-devel-debuginfo-32bit >= 5.26.0-6.2
  • kio-lang >= 5.26.0-6.2
  • libkde4 >= 4.14.25-5.2
  • libkde4-32bit >= 4.14.25-5.2
  • libkde4-debuginfo >= 4.14.25-5.2
  • libkde4-debuginfo-32bit >= 4.14.25-5.2
  • libkde4-devel >= 4.14.25-5.2
  • libkdecore4 >= 4.14.25-5.2
  • libkdecore4-32bit >= 4.14.25-5.2
  • libkdecore4-debuginfo >= 4.14.25-5.2
  • libkdecore4-debuginfo-32bit >= 4.14.25-5.2
  • libkdecore4-devel >= 4.14.25-5.2
  • libkdecore4-devel-debuginfo >= 4.14.25-5.2
  • libksuseinstall-devel >= 4.14.25-5.2
  • libksuseinstall1 >= 4.14.25-5.2
  • libksuseinstall1-32bit >= 4.14.25-5.2
  • libksuseinstall1-debuginfo >= 4.14.25-5.2
  • libksuseinstall1-debuginfo-32bit >= 4.14.25-5.2
Patchnames:
openSUSE-2017-334